io.vertx.reactivex.ext.auth.oauth2.providers

## Class FoursquareAuth

- java.lang.Object
- - io.vertx.reactivex.ext.auth.oauth2.providers.FoursquareAuth

-     public class FoursquareAuth
      extends Object

  Simplified factory to create an for Foursquare.

  NOTE: This class has been automatically generated from the `original` non RX-ified interface using Vert.x codegen.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static io.vertx.lang.rx.TypeArg<FoursquareAuth>` | `__TYPE_ARG`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `FoursquareAuth(FoursquareAuth delegate)`
    `FoursquareAuth(Object delegate)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static OAuth2Auth` | `create(Vertx vertx, String clientId, String clientSecret)` Create a OAuth2Auth provider for Foursquare
    `static OAuth2Auth` | `create(Vertx vertx, String clientId, String clientSecret, HttpClientOptions httpClientOptions)` Create a OAuth2Auth provider for Foursquare
    `boolean` | `equals(Object o)`
    `FoursquareAuth` | `getDelegate()`
    `int` | `hashCode()`
    `static FoursquareAuth` | `newInstance(FoursquareAuth arg)`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### __TYPE_ARG

          public static final io.vertx.lang.rx.TypeArg<FoursquareAuth> __TYPE_ARG

  - ### Constructor Detail

    - #### FoursquareAuth

          public FoursquareAuth(FoursquareAuth delegate)

    - #### FoursquareAuth

          public FoursquareAuth(Object delegate)

  - ### Method Detail

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### getDelegate

          public FoursquareAuth getDelegate()

    - #### create

          public static OAuth2Auth create(Vertx vertx,
                                          String clientId,
                                          String clientSecret)

      Create a OAuth2Auth provider for Foursquare
      Parameters:
        `vertx` -
        `clientId` - the client id given to you by Foursquare
        `clientSecret` - the client secret given to you by Foursquare
      Returns:

    - #### create

          public static OAuth2Auth create(Vertx vertx,
                                          String clientId,
                                          String clientSecret,
                                          HttpClientOptions httpClientOptions)

      Create a OAuth2Auth provider for Foursquare
      Parameters:
        `vertx` -
        `clientId` - the client id given to you by Foursquare
        `clientSecret` - the client secret given to you by Foursquare
        `httpClientOptions` - custom http client options
      Returns:

    - #### newInstance

          public static FoursquareAuth newInstance(FoursquareAuth arg)

Copyright © 2021 Eclipse. All rights reserved.